cm2hmm(1)

NAME

cm2hmm - build a rigorous HMM-based filter from an existing covariance model (CM)

SYNOPSIS
cm2hmm cmfile hmmfile background [background parameters] HMMtype optimizer [optimizer parameters]

DESCRIPTION
cm2hmm reads a covariance model (CM) from cmfile, constructs a hidden-Markov model (HMM) that preserves some information of the CM and saves the HMM to hmmfile. The HMM can be used as a rigorous pre-filtering step to searching with the CM.

The CM file must be in the standard format output used by Infernal.

OPTIONS

--help
    Print brief help; includes summary of command-line parameters.

background [background parameters]
    Select the model of background sequence. uniform gives all bases equal probability (25%). gc <fraction> specifies the G+C content. <fraction> should be a number between 0 and 1. file <filename> loads the base distribution from a file in a specific format.

HMMtype
    Specify the type of HMM to be used; options are compact and expanded. Compact-type models are generally faster, but expanded-type models may provide better filtering.

optimizer [optimizer parameters]
    Specify which mathematical optimizer is to be used to create the final model. Currently the only option is cfsqp which takes two paramters: <B> <C>. B=0, C=1 are reasonable choices. (See the CFSQP manual for further details.)

SEE ALSO
For complete documentation, see the User's Guide (Userguide.pdf) that came with the distribution; or see the Infernal web page, http://infernal.janelia.org/.

COPYRIGHT
Copyright (C) 2009 HHMI Janelia Farm Research Campus.
Freely distributed under the GNU General Public License (GPLv3).
See the file COPYING that came with the source for details on redistribution conditions.

AUTHOR
Eric Nawrocki, Diana Kolbe, and Sean Eddy
HHMI Janelia Farm Research Campus
19700 Helix Drive
Ashburn VA 20147
http://selab.janelia.org/